<?php

include('include/entete.php');
include('include/entete_cap.php');
include('config/config.inc.php');
include('config/lib.inc.php');

$maCleDeCryptage = getCleDeCryptage();

$query="select * from eta,capitaines where id_eta=num_eta and id_cap=:id_cap";
$db = connect_base();
$queryRequest = $db->prepare( $query );
$queryRequest->bindParam( ':id_cap', $_SESSION['cap_num'], PDO::PARAM_INT );
$queryRequest->execute();
$data=$queryRequest->fetchAll();
$capitaine=decrypter($maCleDeCryptage,$data[0]['prenom_cap'])." ".decrypter($maCleDeCryptage,$data[0]['nom_cap']);

//Ajout ou Modification
$idCoLy = "";
if(!empty($_POST['idCoLy']))	$idCoLy = $_POST['idCoLy'];
//if(!empty($_GET['idCoLy']))	$idCoLy = $_GET['idCoLy'];

$etaCoLy = $nomCoLy = $prenomCoLy = $fonctionCoLy = $telCoLy = $emlCoLy = $adresse1CoLy = $adresse2CoLy = $cpCoLy = $villeCoLy = $nbClasses = $nbEleves = $commentCoLy = ""; 

$btnSub = 'Ajouter';
$txtIntro = 'Inscription';

if(!empty($idCoLy)){
	
	$query="select * from collegelycee where idCoLy=:idCoLy";
	$queryRequest = $db->prepare( $query );
	$queryRequest->bindParam( ':idCoLy', $idCoLy, PDO::PARAM_INT );
	$queryRequest->execute();
	$dataCoLy=$queryRequest->fetchAll();
	
	$etaCoLy = decrypter($maCleDeCryptage,$dataCoLy[0]['etaCoLy']);
	$nomCoLy = decrypter($maCleDeCryptage,$dataCoLy[0]['nomCoLy']);
	$prenomCoLy = decrypter($maCleDeCryptage,$dataCoLy[0]['prenomCoLy']);
	$fonctionCoLy = decrypter($maCleDeCryptage,$dataCoLy[0]['fonctionCoLy']);
	$telCoLy = decrypter($maCleDeCryptage,$dataCoLy[0]['telCoLy']);
	$emlCoLy = decrypter($maCleDeCryptage,$dataCoLy[0]['emlCoLy']);
	$adresse1CoLy = decrypter($maCleDeCryptage,$dataCoLy[0]['adresse1CoLy']);
	$adresse2CoLy = decrypter($maCleDeCryptage,$dataCoLy[0]['adresse2CoLy']);
	$cpCoLy = decrypter($maCleDeCryptage,$dataCoLy[0]['cpCoLy']);
	$villeCoLy = decrypter($maCleDeCryptage,$dataCoLy[0]['villeCoLy']);
	$nbClasses = $dataCoLy[0]['nbClasses'];
	$nbEleves = $dataCoLy[0]['nbEleves'];
	$commentCoLy = decrypter($maCleDeCryptage,$dataCoLy[0]['commentCoLy']);
	
	$btnSub = 'Modifier';
	$txtIntro = 'Modification';
}

?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>FAFIH - DECIDAY</title>
<script type="text/javascript" src="js/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="js/bootstrap.min.js"></script>
<script type="text/javascript" src="js/fonctions.js"></script>
<link href="css/bootstrap.min.css" rel="stylesheet" type="text/css">
<link href="css/style.css" rel="stylesheet" type="text/css"><script>
jQuery(document).ready(function(){
	<?php
	if(isset($_SESSION['msg']) && !empty($_SESSION['msg'])){
		?>
	alert('<?php print addslashes($_SESSION['msg']);?>');
	<?php
		$_SESSION['msg']="";
	}
	?>
});
	
</script>
</head>

<body>
	
	<?php include('include/header.php');?>
	
	<div class="container contentPage">
		<div class="col-lg-2 col-md-2 col-sm-1 hidden-xs bgTitrePage"></div>
		<div class="col-lg-8 col-md-8 col-sm-10 col-xs-12 titreContenuPage">Votre espace Capitaine</div>
		<div class="col-lg-2 col-md-2 col-sm-1 hidden-xs bgTitrePage"></div>
		<div class="clearfix"></div>
	
		<div class="headerCap" style="text-align: center; margin:18px 0 12px;">
			<span class="ssTitreViolet"><?php echo decrypter($maCleDeCryptage,$data[0]['nom_eta']);?></span><br />
			<b>Capitaine : </b><?php echo $capitaine;?> <a href="modifier-cap.php">modifier</a><br />
			<a href="deco.php">Déconnexion</a>
		</div>
		
		<div class="menuPage">
			<div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
				<a href="index-cap.php">Votre trinôme</a>
			</div>
			<div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
				<a href="agenda-cap.php">Votre agenda</a>
			</div>
			<div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
				<a href="bao-cap.php">Boite à outils</a>
			</div>
			<div class="clearfix"></div>
		</div>
		
		<div class="col-lg-2 col-md-2 col-sm-1 hidden-xs"></div>
		<div class="col-lg-8 col-md-8 col-sm-10 col-xs-12 titreContenuPage">Formulaire d'inscription</div>
		<div class="col-lg-2 col-md-2 col-sm-1 hidden-xs"></div>
		<div class="clearfix"></div>
		
		<div class="textIntro"><br/><?php echo $txtIntro; ?> d'un collège ou d'un lycée
			<div class="clearfix"></div>
				<?php if(empty($idCoLy)){ ?>
				<ul>
					<li>Un créneau sera réservé pour l'établissement scolaire</li>
					<li>Un email sera envoyé à l'établissement scolaire</li>
				</ul>
				<?php }else{ ?>
				<ul>
					<b>Si vous changez l'email de l'établissement, pensez à en informer le nouveau contact</b>
				</ul>
				<?php } ?>
			<br /> 
			
			<form name="frmReserv" method="post" action="agenda-cap-actions.php" id="frmReserv">
				<input type="hidden" name="myAction" value="<?php echo $_POST['myAction']; ?>">
				<input type="hidden" name="myDay" value="<?php echo $_POST['myDay']; ?>">
				<input type="hidden" name="myCreneau" value="<?php echo $_POST['myCreneau']; ?>">
				<input type="hidden" name="idCoLy" value="<?php echo $idCoLy; ?>">
				
				<div class="labFrm">Etablissement<sup class="obligatory">*</sup> :</div><input type="text" name="etaCoLy" id="etaCoLy" value="<?php echo $etaCoLy; ?>" /><br />
				<div class="labFrm">Nom<sup class="obligatory">*</sup> :</div><input type="text" name="nomCoLy" id="nomCoLy" value="<?php echo $nomCoLy; ?>" /><br />
				<div class="labFrm">Prénom<sup class="obligatory">*</sup> :</div><input type="text" name="prenomCoLy" id="prenomCoLy" value="<?php echo $prenomCoLy; ?>" /><br />
				<div class="labFrm">Fonction<sup class="obligatory">*</sup> :</div><input type="text" name="fonctionCoLy" id="fonctionCoLy" value="<?php echo $fonctionCoLy; ?>" /><br />
				<div class="labFrm">Ligne Directe<sup class="obligatory">*</sup> :</div><input type="text" name="telCoLy" id="telCoLy" value="<?php echo $telCoLy; ?>" /><br />
				<div class="labFrm">E-mail<sup class="obligatory">*</sup> :</div><input type="text" name="emlCoLy" id="emlCoLy" value="<?php echo $emlCoLy; ?>" /><br />
				<div class="labFrm">Adresse 1<sup class="obligatory">*</sup> :</div><input type="text" name="adresse1CoLy" id="adresse1CoLy" value="<?php echo $adresse1CoLy; ?>" /><br />
				<div class="labFrm">Adresse 2 :</div><input type="text" name="adresse2CoLy" id="adresse2CoLy" value="<?php echo $adresse2CoLy; ?>" /><br />
				<div class="labFrm">Code Postal<sup class="obligatory">*</sup> :</div><input type="text" name="cpCoLy" id="cpCoLy" value="<?php echo $cpCoLy; ?>" /><br />
				<div class="labFrm">Ville<sup class="obligatory">*</sup> :</div><input type="text" name="villeCoLy" id="villeCoLy" value="<?php echo $villeCoLy; ?>" /><br />
				<div class="labFrm">Nombre de classes<sup class="obligatory">*</sup> :</div><input type="text" name="nbClasses" id="nbClasses" value="<?php echo $nbClasses; ?>" /><br />
				<div class="labFrm">Nombre total d'élèves concernés<sup class="obligatory">*</sup> :</div><input type="text" name="nbEleves" id="nbEleves" value="<?php echo $nbEleves; ?>" /><br />
				<div class="labFrm">Commentaires  :</div><textarea name="commentCoLy" id="commentCoLy" /><?php echo $commentCoLy; ?></textarea><br /><br />
				<div class="btnDeci"><a href="javascript:void(0);" onClick="reservAg()"><?php echo $btnSub; ?></a></div>
				<div style="height: 20px;"></div>
				<div class="btnDeci"><a href="agenda-cap.php">Retour</a></div>
			</form>

		</div>
		<div class="clearfix"></div>
		
		<script type="text/javascript">
			function validReservAg(){
				if(document.frmReserv.etaCoLy.value==""){
					alert('Merci de renseigner l\'établissement.');
					document.frmReserv.etaCoLy.focus();
					return false;
				}
				if(document.frmReserv.nomCoLy.value==""){
					alert('Merci de renseigner le nom.');
					document.frmReserv.nomCoLy.focus();
					return false;
				}
				if(document.frmReserv.prenomCoLy.value==""){
					alert('Merci de renseigner le prénom.');
					document.frmReserv.prenomCoLy.focus();
					return false;
				}
				if(document.frmReserv.fonctionCoLy.value==""){
					alert('Merci de renseigner la fonction.');
					document.frmReserv.fonctionCoLy.focus();
					return false;
				}
				if(!checkFormTel('document.frmReserv.telCoLy','T','La ligne directe',1)){
					return false;
				}
				if(!verifmail('document.frmReserv.emlCoLy',1)){
					return false;
				}
				if(document.frmReserv.adresse1CoLy.value==""){
					alert('Merci de renseigner au moins la première ligne d\'adresse.');
					document.frmReserv.adresse1CoLy.focus();
					return false;
				}
				if(document.frmReserv.cpCoLy.value==""){
					alert('Merci de renseigner le code postal.');
					document.frmReserv.cpCoLy.focus();
					return false;
				}
				if(document.frmReserv.villeCoLy.value==""){
					alert('Merci de renseigner la ville.');
					document.frmReserv.villeCoLy.focus();
					return false;
				}
				var nbC = 1;
				if(!CheckNombreEntier(document.frmReserv.nbClasses.value))	nbC=0;
				else if(document.frmReserv.nbClasses.value==0)		nbC=0;
				if(nbC!=1){
					alert('Merci de renseigner le nombre de classes.');
					document.frmReserv.nbClasses.focus();
					return false;
				}
				var nbE = 1;
				if(!CheckNombreEntier(document.frmReserv.nbEleves.value))	nbE=0;
				else if(document.frmReserv.nbEleves.value==0)		nbE=0;
				if(nbE!=1){
					alert('Merci de renseigner le nombre d\'élèves.');
					document.frmReserv.nbEleves.focus();
					return false;
				}
				return true;
			}	
			function reservAg(){
				if(validReservAg()) document.frmReserv.submit();
			}
			jQuery(document).ready(function(){
				document.frmReserv.etaCoLy.focus();
			});
		</script>
		
		
	</div>
	
	<?php include('include/footer.php');?>

</body>
</html>